# OPENDMARC_STATUS_T

[back to index]

DESCRIPTION

Purpose | The `OPENDMARC_STATUS_T` is the type returned by many of the functions in this library.

Synopsis

> #include <dmarc.h>

> OPENDMARC_STATUS_T return_value;

OPENDMARC_STATUS_T

The values that can be returned from functions that return `OPENDMARC_STATUS_T` include:

- `DMARC_PARSE_OKAY` -- Success.
- `DMARC_PARSE_ERROR_EMPTY` -- An argument was empty or NULL or zero length.
- `DMARC_PARSE_ERROR_NULL_CTX` -- Received a NULL pointer as the context or library initializer.
- `DMARC_PARSE_ERROR_BAD_VERSION` -- DMARC record contained a bad v=.
- `DMARC_PARSE_ERROR_BAD_VALUE` -- DMARC record a bad value, e.g. p=bob.
- `DMARC_PARSE_ERROR_NO_REQUIRED_P` -- DMARC record lacked a required p=.
- `DMARC_PARSE_ERROR_NO_DOMAIN` -- Parsing required a domain but got <>.
- `DMARC_PARSE_ERROR_NO_ALLOC` -- Memory allocation error. Also sets errno to ENOMEM.
- `DMARC_PARSE_ERROR_BAD_SPF_MACRO` -- Bad value given to opendmarc_policy_store_dkim().
- `DMARC_DNS_ERROR_NO_RECORD` -- No DMARC record was found.
- `DMARC_DNS_ERROR_NXDOMAIN` -- No such domain exists.
- `DMARC_DNS_ERROR_TMPERR` -- Lookup of DMARC record got a recoverable error. Try again later.
- `DMARC_TLD_ERROR_UNKNOWN` -- Type of TLD file was not a known type.
- `DMARC_FROM_DOMAIN_ABSENT` -- Expected a From: domain but it was absent.

Usage

- Individual functions return specific values. Only check for those documented per function.
- You may used these macros anywhere an integer expression may be used.

NOTES

- You should use these macros rather than looking for particular integers, such as zero.
- These underlying values currently conflict with some `errno` values and may be changed in the future.

Copyright (c) 2012, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the license.